| AI Engine-ML Intrinsics User Guide (v2025.2)

Loading...
Searching...
No Matches
Functions
Sparse Load Peek Operations
Load/Store Operations » Compressed Sparse Load Operations

## Overview

Load partially decompressed data without updating the internal buffer pointer.

## Functions
v128int8_sparse | sparse_peek_and_get_pointer (v128int8_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.
v128uint8_sparse | sparse_peek_and_get_pointer (v128uint8_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.
v256int4_sparse | sparse_peek_and_get_pointer (v256int4_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.
v256uint4_sparse | sparse_peek_and_get_pointer (v256uint4_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.
v64bfloat16_sparse | sparse_peek_and_get_pointer (v64bfloat16_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.
v64int16_sparse | sparse_peek_and_get_pointer (v64int16_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.
v64uint16_sparse | sparse_peek_and_get_pointer (v64uint16_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.
v128int8_sparse | sparse_peek_insert_hi (v128int8_sparse v, v128int8_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.
v128uint8_sparse | sparse_peek_insert_hi (v128uint8_sparse v, v128uint8_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.
v256int4_sparse | sparse_peek_insert_hi (v256int4_sparse v, v256int4_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.
v256uint4_sparse | sparse_peek_insert_hi (v256uint4_sparse v, v256uint4_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.
v64bfloat16_sparse | sparse_peek_insert_hi (v64bfloat16_sparse v, v64bfloat16_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.
v64int16_sparse | sparse_peek_insert_hi (v64int16_sparse v, v64int16_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.
v64uint16_sparse | sparse_peek_insert_hi (v64uint16_sparse v, v64uint16_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.
v128int8_sparse | sparse_peek_set_lo (v128int8_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.
v128uint8_sparse | sparse_peek_set_lo (v128uint8_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.
v256int4_sparse | sparse_peek_set_lo (v256int4_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.
v256uint4_sparse | sparse_peek_set_lo (v256uint4_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.
v64bfloat16_sparse | sparse_peek_set_lo (v64bfloat16_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.
v64int16_sparse | sparse_peek_set_lo (v64int16_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.
v64uint16_sparse | sparse_peek_set_lo (v64uint16_sparse_compress *&p)
| Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.

## Function Documentation

## ◆ sparse_peek_and_get_pointer() [1/7]

v128int8_sparse sparse_peek_and_get_pointer | ( | v128int8_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

Returns
  Partially decompressed vector

## ◆ sparse_peek_and_get_pointer() [2/7]

v128uint8_sparse sparse_peek_and_get_pointer | ( | v128uint8_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

Returns
  Partially decompressed vector

## ◆ sparse_peek_and_get_pointer() [3/7]

v256int4_sparse sparse_peek_and_get_pointer | ( | v256int4_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

Returns
  Partially decompressed vector

## ◆ sparse_peek_and_get_pointer() [4/7]

v256uint4_sparse sparse_peek_and_get_pointer | ( | v256uint4_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

Returns
  Partially decompressed vector

## ◆ sparse_peek_and_get_pointer() [5/7]

v64bfloat16_sparse sparse_peek_and_get_pointer | ( | v64bfloat16_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

Returns
  Partially decompressed vector

## ◆ sparse_peek_and_get_pointer() [6/7]

v64int16_sparse sparse_peek_and_get_pointer | ( | v64int16_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

Returns
  Partially decompressed vector

## ◆ sparse_peek_and_get_pointer() [7/7]

v64uint16_sparse sparse_peek_and_get_pointer | ( | v64uint16_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set. Returns the internal buffer pointer.

Parameters

  p | Returns the internal buffer pointer.

Returns
  Partially decompressed vector

## ◆ sparse_peek_insert_hi() [1/7]

v128int8_sparse sparse_peek_insert_hi | ( | v128int8_sparse | v,
|  | v128int8_sparse_compress *& | p )

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  v | Partially uncompressed vector. Must have only the lower vector lanes set.

Returns
  Partially decompressed vector

## ◆ sparse_peek_insert_hi() [2/7]

v128uint8_sparse sparse_peek_insert_hi | ( | v128uint8_sparse | v,
|  | v128uint8_sparse_compress *& | p )

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  v | Partially uncompressed vector. Must have only the lower vector lanes set.

Returns
  Partially decompressed vector

## ◆ sparse_peek_insert_hi() [3/7]

v256int4_sparse sparse_peek_insert_hi | ( | v256int4_sparse | v,
|  | v256int4_sparse_compress *& | p )

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  v | Partially uncompressed vector. Must have only the lower vector lanes set.

Returns
  Partially decompressed vector

## ◆ sparse_peek_insert_hi() [4/7]

v256uint4_sparse sparse_peek_insert_hi | ( | v256uint4_sparse | v,
|  | v256uint4_sparse_compress *& | p )

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  v | Partially uncompressed vector. Must have only the lower vector lanes set.

Returns
  Partially decompressed vector

## ◆ sparse_peek_insert_hi() [5/7]

v64bfloat16_sparse sparse_peek_insert_hi | ( | v64bfloat16_sparse | v,
|  | v64bfloat16_sparse_compress *& | p )

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  v | Partially uncompressed vector. Must have only the lower vector lanes set.

Returns
  Partially decompressed vector

## ◆ sparse_peek_insert_hi() [6/7]

v64int16_sparse sparse_peek_insert_hi | ( | v64int16_sparse | v,
|  | v64int16_sparse_compress *& | p )

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  v | Partially uncompressed vector. Must have only the lower vector lanes set.

Returns
  Partially decompressed vector

## ◆ sparse_peek_insert_hi() [7/7]

v64uint16_sparse sparse_peek_insert_hi | ( | v64uint16_sparse | v,
|  | v64uint16_sparse_compress *& | p )

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the upper vector lanes will be set. The lower vector lanes come from the input v.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.
  v | Partially uncompressed vector. Must have only the lower vector lanes set.

Returns
  Partially decompressed vector

## ◆ sparse_peek_set_lo() [1/7]

v128int8_sparse sparse_peek_set_lo | ( | v128int8_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

Returns
  Partially decompressed vector

## ◆ sparse_peek_set_lo() [2/7]

v128uint8_sparse sparse_peek_set_lo | ( | v128uint8_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

Returns
  Partially decompressed vector

## ◆ sparse_peek_set_lo() [3/7]

v256int4_sparse sparse_peek_set_lo | ( | v256int4_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

Returns
  Partially decompressed vector

## ◆ sparse_peek_set_lo() [4/7]

v256uint4_sparse sparse_peek_set_lo | ( | v256uint4_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

Returns
  Partially decompressed vector

## ◆ sparse_peek_set_lo() [5/7]

v64bfloat16_sparse sparse_peek_set_lo | ( | v64bfloat16_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

Returns
  Partially decompressed vector

## ◆ sparse_peek_set_lo() [6/7]

v64int16_sparse sparse_peek_set_lo | ( | v64int16_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

Returns
  Partially decompressed vector

## ◆ sparse_peek_set_lo() [7/7]

v64uint16_sparse sparse_peek_set_lo | ( | v64uint16_sparse_compress *& | p | ) |

Reads one partially decompressed vector from the internal buffer and returns the result. The returned vector is smaller than the output so only the lower vector lanes will be set.

Parameters

  p | Pointer to memory location from which internal buffer will be filled.

Returns
  Partially decompressed vector